man(8)

NAME
malcontent-timer-extension-agent — Parental Controls Timer Extension Agent

SYNOPSIS
malcontent-timer-extension-agent [-a bus-address]

DESCRIPTION
malcontent-timer-extension-agent is an agent process for deciding whether to grant extension requests from child accounts which have screen time limits set as part of parental controls.

This implementation of the agent process raises a polkit action to allow a parent to authorize (or reject) the screen time limit extension request using a polkit dialog on the local machine.

Other agent implementations may do more complex checks in future. For example, by messaging the parent’s phone to allow them to authorize/reject requests remotely.

malcontent-timer-extension-agent is designed to be run by systemd(1), being D-Bus activated. There should be no need to run malcontent-timer-extension-agent manually. Use malcontent-client(8) to request screen time limit extensions from the command line.

OPTIONS

-a, --bus-address=
    Address of a D-Bus message bus to connect to. This is intended for debugging use only. (Default: The system bus.)

-t, --inactivity-timeout=
    Inactivity timeout (in milliseconds) to wait before exiting the service if no requests have been made during that period. If set to 0, the timeout is disabled and the service will run indefinitely. (Default: 30 seconds.)

ENVIRONMENT
malcontent-timer-extension-agent supports the standard GLib environment variables for debugging. These variables are not intended to be used in production:

$G_MESSAGES_DEBUG
    This variable can contain one or more debug domain names to display debug output for. The value all will enable all debug output. The default is for no debug output to be enabled.

EXIT STATUS
malcontent-timer-extension-agent may return one of several error codes if it encounters problems.

0   No problems occurred. The agent ran, responded to zero or more requests, and then exited due to being explicitly closed, or timing out due to finishing all requests.

1   An invalid option was passed to malcontent-timer-extension-agent on startup.

2   The D-Bus name for malcontent-timer-extension-agent was not available.

3   malcontent-timer-extension-agent was run in an inappropriate environment, for example as the root user.

FILES

/lib/systemd/system/malcontent-timer-extension-agent.service
    systemd(1) service file which specifies the runtime environment for malcontent-timer-extension-agent. See systemd.service(5).

SEE ALSO
malcontent-client(8), malcontent-timerd(8)

BUGS
Any bugs which are found should be reported on the project website:
https://gitlab.freedesktop.org/pwithnall/malcontent/-/issues

AUTHOR
GNOME Foundation, Inc. Philip Withnall

COPYRIGHT
Copyright © 2025 GNOME Foundation, Inc.